<!-- Inclusion des scripts nécessaires a JQXTree -->
<link rel="stylesheet"
	href="<?php echo $request->getBaseUrl() ; ?>/js/jqwidgets/styles/jqx.base.css"
	type="text/css" />

<link rel="stylesheet"
	href="<?php echo $request->getBaseUrl() ; ?>/js/jqwidgets/styles/jqx.darkblue.css"
	type="text/css" />

	<!-- jqxExpander -->
	<script type="text/javascript" src="<?php echo $request->getBaseUrl() ; ?>/js/jqwidgets/jqxcore.js"></script>
    <script type="text/javascript" src="<?php echo $request->getBaseUrl() ; ?>/js/jqwidgets/jqxexpander.js"></script>
	<script type="text/javascript"
	src="<?php echo $request->getBaseUrl() ; ?>/js/jqwidgets/jqxbuttons.js"></script>
<script type="text/javascript"
	src="<?php echo $request->getBaseUrl() ; ?>/js/jqwidgets/jqxscrollbar.js"></script>
<script type="text/javascript"
	src="<?php echo $request->getBaseUrl() ; ?>/js/jqwidgets/jqxpanel.js"></script>
<script type="text/javascript"
	src="<?php echo $request->getBaseUrl() ; ?>/js/jqwidgets/jqxtree.js"></script>
<script type="text/javascript"
	src="<?php echo $request->getBaseUrl() ; ?>/js/jqwidgets/jqxcheckbox.js"></script>
	
<script type="text/javascript">
	$(document).ready(
			function() {
				// Create jqxTree 
				var tree = $('#jqxTree');
            var source = null;
            $.ajax({
                async: false,
                url: "<?php echo $this->getRequest('conteneur','ajaxGetTree' ) ; ?>",
                success: function (data, status, xhr) {
                    source = jQuery.parseJSON(data);
                }
            });

            tree.jqxTree({theme:'darkblue', source: source,  height: 350, width: '80%' });

            // Create jqxExpander
            
            var expander = $("#jqxExpander").jqxExpander({theme:'darkblue', width: '100%' });
            expander.jqxExpander('expanded', true) ;
            
            //css titre du volet 
             /*expander.bind('expanded', function(event) {
            	$('#div_titre').css('background', '#1570A6') ; 
                });*/

            	expander.bind('collapsed', function(event) {
            		$('#div_titre').css('background', '#4DA9FF') ;  
                });
            
            // On expand
            	tree.on('expand', function (event) {
                var label = tree.jqxTree('getItem', event.args.element).label;
                var $element = $(event.args.element);
                var loader = false;
                var loaderItem = null;
                var children = $element.find('ul:first').children();
                $.each(children, function () {
                    var item = tree.jqxTree('getItem', this);
                    if (item && item.label == 'Loading...') {
                        loaderItem = item;
                        loader = true;
                        return false
                    };
                });
                if (loader) {
                    $.ajax({
                        url: loaderItem.value,
                        success: function (data, status, xhr) {
                            var items = jQuery.parseJSON(data);
                            tree.jqxTree('addTo', items, $element[0]);
                            tree.jqxTree('removeItem', loaderItem.element);
                        }
                    });
                }
            });

            // Pré-sélection et developpement de la branche concernée
                        
            var emplacement = $('#emplacement_id').val() ;
             if (emplacement != "") {
					tree.jqxTree('selectItem', $('#emp' + emplacement)[0]) ;
					tree.jqxTree('expandItem', $('#emp' + emplacement)[0]) ;
			}

			// Sélection

               $('#jqxTree').on("select", function() {
					var selectedItem = $('#jqxTree').jqxTree('selectedItem');

if (selectedItem != null && selectedItem.id != "0") {
if (tree.jqxTree('selectedItem').id != $('#emplacement_id').val()) {
if ($('#emplacement_id').val() == "") {
				if (selectedItem.id.substring(0, 3) != "con") {
					$('#champ_emplacement').val(selectedItem.label) ;
					$('#emplacement_id').val(selectedItem.id.substring(3)) ;
				} else
					alert("Vous ne pouvez pas ranger un conteneur dans un conteneur !") ;
} else {
	alert('Veuillez effacer la sélection précédente pour pouvoir sélectionner cet emplacement.') ;
	tree.jqxTree('selectItem', $('#' + $('#emplacement_id').val())[0]) ;
}
}
}
	}) ;

			// Suppression

               			$('#btn_effacer').click(function() {
$('#champ_emplacement').val('') ;
$('#emplacement_id').val('') ;
}) ;

            			//Désactivation
            			
            			var items = tree.jqxTree('getItems') ; 
            			for (var i = 0 ; i < items.length ; i++)
                				if (items[i].id.substring(0, 3) == "con")
                    					$('#jqxTree').jqxTree('disableItem', items[i].element) ;            			
		}) ;
</script>  
  <?php
$form_errors = $form->getErrors();
$filter_html = new Yab_Filter_Html();
?>

<form method="post"  >
	<?php echo $form->getElement('entiteadmin_id')->getHtml();?>
	<div class="col-md-9"  style="width:100% !important;">
	<table class="categorie_table"  style="width : 860px">
			<tr>
			<td class="color gestion_bordures" colspan="5"> 
			<?php echo $message;?>
			<?php foreach($form_errors as $name => $errors): ?>
				<div  style="align:center; color: red">
					
					<a class="" href="#<?php echo $name; ?>" onclick="document.getElementById('<?php echo $name; ?>').focus(); return false;">
						<?php echo $name." : ne peut être vide";?>
						<!-- <?php echo $name ." :" .$filter_html->filter(implode(', ', $errors)); ?> -->
					</a>
				</div>
			<?php endforeach; ?>
</td>
</tr>
	<tr>	
		<th class="color categories_th_taille gestion_bordures"><?php echo $form->getElement('nom')->get('label'); ?><span class="obligatoire">*</span></th>
		<td class="color gestion_bordures" colspan="4"> <?php echo $form->getElement('nom')->getHtml(); ?></td>
	</tr>
	
	<tr>
		<th class="white categories_th_taille gestion_bordures"><?php echo $form->getElement('codebarre')->get('label'); ?><span class="obligatoire">*</span></th>
		<td class="white gestion_bordures" colspan="4"><?php echo $form->getElement('codebarre')->getHtml(); ?></td>
	</tr>
	
	<tr>	
		<th class="color categories_th_taille gestion_bordures"><?php echo $form->getElement('type_id')->get('label'); ?><span class="obligatoire">*</span></th>
		<td class="color gestion_bordures" colspan="4"> <?php echo $form->getElement('type_id')->getHtml(); ?></td>
	</tr>
	
	<tr>
		<th class="white categories_th_taille gestion_bordures"><?php echo $form->getElement('description')->get('label'); ?></th>
		<td class="white gestion_bordures" colspan="4"><?php echo $form->getElement('description')->getHtml(); ?></td>
	</tr>
	
	
<tr>
<td class="color gestion_bordures" colspan="5" style="height:500px">
<div id='jqxWidget' style="text-align: center" >
	<div id='jqxExpander'  style="">
		
		<div id="div_titre" style="width:100%; height:100%; pdding:15px;">
			 Emplacement <span class="obligatoire">*</span>
		</div>
		
		<div id="div_contenu"  >
			<div id='jqxTree'  style="width : 100%"></div>
			<div style="padding:20px; text-align:left;">
				<label for="champ_emplacement">Emplacement choisi : </label>
				<?php echo $form->getElement('emplacement_id')->getHtml(); ?>
				<input type="text" style="width:200px;" readonly="readonly" id="champ_emplacement" value="<?php echo $emplacement; ?>" placeholder="" />
				
				<input type="button" id="btn_effacer" class="btn-supprimer"  style="display: inline"value="" />
			</div>
		</div>
	</div>
</div>
<td>
</tr>
</table>


<div class="position">
	<input type="submit" name="valider" class="btn-valider" value="" />
	<input type="button" class="btn-annuler" value="" onclick='location.href="<?php echo $this->getRequest('Conteneur', 'gestion') ?>"' />
</div>
</div>
</form>
